Skip to main content
Back to API List Use this API to delete an existing contact list associated with a campaign.
MethodDELETE
Endpointhttps://{{host}}/campaign/api/v2/public/{{streamId}}/campaign/contactList/{{contactList}}?accountId={{accountId}}
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeCampaign Management

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdBot ID or Stream ID. You can get it from the general settings page.string, required
contactListIdUnique identifier of the contact list to update.string, required

Sample Request

curl --location --request DELETE 'https://{{host}}/campaign/api/v2/public/{{streamId}}/campaign/contactList/{{contactList}}?accountId={{accountId}}' \
--header 'iid: st-0603182c-7ffb-53c3-b307-47ca14bxxxxx' \
--header 'accountId: 67777ce93e25326494exxxxx' \
--header 'auth: <token>' \
--data ''

Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.string, required
iidThe Application Id.string, required
accountIdThe Account Id.string, required

Sample Response

{
    "status": "success",
    "message": "Contact list Renewal Due - May/June 2025 deleted successfully",
    "data": {
        "_id": "cl-718e888-3aca-4008-973e-6d79940xxxxx",
        "isActive": true,
        "name": "Renewal Due - May/June 2025",
        "description": "This list contains customers with services expiring in July 2025. It includes contact details and subscription info to help agents provide tailored support during live calls.",
        "totalRecordCount": 0,
        "status": "Ready",
        "createdBy": "u-eb5bbee1-6af9-5b9a-b471-03a3fe4xxxxx",
        "updatedBy": "u-eb5bbee1-6af9-5b9a-b471-03a3fe4xxxxx",
        "mapping": {
            "firstName": "firstName",
            "lastName": "lastName",
            "phoneNumber": "phoneNumber",
            "timeZone": "timeZone",
            "uniqueId": "uniqueId",
            "contactPriority": "contactPriority"
        },
        "isListInUse": false,
        "listType": "call",
        "isGlobalDNC": false,
        "isDefault": false,
        "campaignInUse": [],
        "source": "passiveApi",
        "apiConfigurations": {
            "dataSyncMode": "allowDuplicates"
        },
        "columns": [],
        "files": [],
        "createdAt": "2025-12-05T10:30:57.258Z",
        "updatedAt": "2025-12-05T10:35:41.551Z",
        "allowDuplicates": true
    }
}

Response Parameters

ParameterDescriptionType
statusIndicates whether the API call was successful.string
messageDescribes the outcome of the delete operation.string
dataObject containing the details of the deleted contact list.object
data._idUnique identifier of the contact list.string
data.isActiveIndicates if the contact list was active before deletion.boolean
data.orgIdIdentifier of the organization to which the contact list belongs.string
data.nameDisplay name of the contact list.string
data.lnameLowercase version of the contact list name.string
data.descriptionDescription of the contact list and its purpose.string
data.totalRecordCountNumber of contacts in the list.number
data.statusStatus of the contact list (for example, Ready).string
data.createdByID of the user who created the list.string
data.updatedByID of the user who last updated the list.string
data.mappingObject defining how contact fields are mapped.object
data.mapping.firstNameField mapping for the contact’s first name.string
data.mapping.lastNameField mapping for the contact’s last name.string
data.mapping.phoneNumberField mapping for the contact’s phone number.string
data.mapping.timeZoneField mapping for the contact’s timezone.string
data.mapping.uniqueIdField mapping for the contact’s unique identifier.string
data.isListInUseIndicates if the list was actively used in campaigns before deletion.boolean
data.iIdInternal ID associated with the contact list.string
data.listTypeType of list (call, sms, etc.).string
data.campaignInUseList of campaign IDs currently associated with the contact list.array
data.accountIdIdentifier of the account owning the contact list.string
data.sourceSource of the list data (passiveApiIntegration, upload, etc.).string
data.apiConfigurationsObject that defines API data sync configurations.object
data.apiConfigurations.dataSyncModeSync mode for contact data (for example, allowDuplicates).string
data.filesList of file objects uploaded with the contact list.array
data.createdAtISO timestamp when the list was created.string
data.updatedAtISO timestamp of the last update made to the list.string